Debian Bug report logs - #661439
[L10n:fr] French program translation

version graph

Package: drivel; Maintainer for drivel is Neil Williams <codehelp@debian.org>; Source for drivel is src:drivel.

Reported by: Julien Patriarca <patriarcaj@gmail.com>

Date: Mon, 27 Feb 2012 08:57:03 UTC

Severity: wishlist

Tags: l10n, patch

Fixed in version drivel/3.0.4-1

Done: Neil Williams <codehelp@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Neil Williams <codehelp@debian.org>:
Bug#661439; Package drivel. (Mon, 27 Feb 2012 08:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Patriarca <patriarcaj@gmail.com>:
New Bug report received and forwarded. Copy sent to Neil Williams <codehelp@debian.org>.

Your message had a Version: pseudo-header with an invalid package version:

N/A

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Mon, 27 Feb 2012 08:57:31 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julien Patriarca <patriarcaj@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: drivel: French debconf templates translation
Date: Mon, 27 Feb 2012 09:54:31 +0100
[Message part 1 (text/plain, inline)]
Package: drivel
Version: N/A
Severity: wishlist
Tags: patch l10n

 

*** /home/julien/traductions/po-debconf/patch-translate.txt

========================================================================
Please find attached the french debconf templates translation, proofread by the
debian-l10n-french mailing list contributors.

This file should be put as debian/po/fr.po in your package build tree.
========================================================================


-- System Information:
Debian Release: 6.0.4
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/1 CPU core)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[fr.po (text/plain, attachment)]

Changed Bug title to '[L10n:fr] French program translation' from 'drivel: French debconf templates translation' Request was from David Prévot <taffit@debian.org> to control@bugs.debian.org. (Wed, 25 Apr 2012 21:27:05 GMT) Full text and rfc822 format available.

Information stored :
Bug#661439; Package drivel. (Wed, 25 Apr 2012 21:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Prévot <taffit@debian.org>:
Extra info received and filed, but not forwarded. (Wed, 25 Apr 2012 21:33:05 GMT) Full text and rfc822 format available.

Message #12 received at 661439-quiet@bugs.debian.org (full text, mbox):

From: David Prévot <taffit@debian.org>
To: drivel@packages.debian.org, debian-i18n@lists.debian.org
Cc: 661439-quiet@bugs.debian.org
Subject: Intent to NMU or help for an l10n upload of drivel to fix pending l10n bugs
Date: Wed, 25 Apr 2012 17:29:46 -0400
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Dear Debian maintainer,

(“oh no, not another one”…)

The drivel Debian package, which you are the maintainer of, has
pending bug reports which include translation updates or fixes
for translation handled by gettext, namely bug number 661439 (and
maybe other similar bugs).

	http://i18n.debian.net/l10n-pkg-status/d/drivel.html

The i18n team is now hunting the very last bits of missing localization
and your package went on our radar. You may have uploaded recently but,
unfortunately for you, you then got *another* l10n bug report. We
really should prevent translators from translating...:-)

So, sorry for this, but the radar beeped at your package and here am I
with an NMU intent...:-)

In case you can't update your package, I hereby propose, as part of
a more general action of the Debian i18n Task Force to build and
possibly upload a non-maintainer upload for this package in order to
fix this as well as all pending translations for the documentation
and debconf templates.

Of course, an upload made by you would even be better...:-)

Such changes are always harmless, which explains why I safely consider
building NMU's for such issues even though they're obviously non critical.

The schedule for the NMU (in case it happens, that is if you agree with
it or if I don't receive any answer in a week) is roughly the following:

 Wednesday, April 25, 2012    :	send this notice
 Wednesday, May 02, 2012      :	post a NMU announcement to debian-i18n
				with you (maintainer) CC'ed
 Saturday, May 12, 2012	      :	deadline for receiving translation
				updates
 Sunday, May 13, 2012	      :	build the package andupload it to
			DELAYED/15-day, send the NMU patch to the BTS.
 Monday, May 28, 2012	      :	NMU reaches incoming

If you intent to upload yourself, please discuss with me. I propose
handling a translation update round and I can handle it myself for you.
That will just require a few days.

In case I upload an NMU, I will subscribe to the Package Tracking System
for this package and follow its life for 60 days after my NMU in order
to fix any issue potentially introduced by my upload.

Let me know, as soon as possible, if you have any kind of objection to
this process.

If you'd rather do the fix yourself, I will of course leave the package
alone. Same if you have reasons not to do the update now.

Regards

David


-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJPmGzJAAoJELgqIXr9/gnyZXEP/jAKlWA6pcoLZGM9yzKWiFRT
b3Q98yodx3GibXehxYmUSiWcxVcMVb0MSWeyCFmfk8xnckDEDnZ/S2ylz5WKIyPN
qPzeP2iPWRoi5A2u+19PGfPfn75cyrvV1a6DDnpRhgSc50ezQprnX/IGTL/U4w/M
mMLFTy/k+5Kcj658TKtRH2XUtqyIYoXAQGw78BiAcHuHo2psTwZ1CD0Hrui16JAz
H0qwo7tbSztoiyrBUSEmpPyEnOwBU6sNpN5bH3hvkQpEoYldWiAhXwl/rZZIKbOV
JbPSXyeUfrHEXfRA1KjycGiSqZ3p8sO95P11dtDdO9aSK/8QIj4/K5CJ9EBtg6En
+kjkNGSJAkFZ0G4XcowHN5ZcRDoVHVCaC8RRNsACoRqGQH+p0pTFAwATC3VP6tGm
w+hW86SzWLLosgH78bNkB56aZJ64JTmyUdOlL7sfQggVI4rVBZ/t1VTqtByePnj0
3e0S3ljqcf8vYMtOG8iber6xZMYZtQsgoTYZiHc2HOfmW27uaciD2oX0QNVyFTsT
hrHVg4ltZ9X9iAQPwz9DjsmHxSqbhmFyd18C5TZRW7PuZHxgZw989CnEm25sTOo/
nZ1Mk8bq3K2MM3Jum7iOhf5T+spIePDosDI8dIcqgUoq4pWguHLxbOTuRzN3fg9v
fXlVwccGhWLOgtoMKfdR
=0EYK
-----END PGP SIGNATURE-----




Information stored :
Bug#661439; Package drivel. (Thu, 26 Apr 2012 06:45:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and filed, but not forwarded. (Thu, 26 Apr 2012 06:45:10 GMT) Full text and rfc822 format available.

Message #17 received at 661439-quiet@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: taffit@debian.org
Cc: debian-i18n@lists.debian.org, 661439-quiet@bugs.debian.org
Subject: Re: Intent to NMU or help for an l10n upload of drivel to fix pending l10n bugs
Date: Thu, 26 Apr 2012 07:42:18 +0100
[Message part 1 (text/plain, inline)]
On Wed, 25 Apr 2012 17:29:46 -0400
David Prévot <taffit@debian.org> wrote:

No. This needs upstream changes in the package which could invalidate
the patch to this bug.

I know I omitted to put this into the bug report - I did mean to start
this back in March when the upstream changes went in.

Source: drivel
Version: 3.0.4-1
Distribution: unstable
Urgency: low
Maintainer: Neil Williams <codehelp@debian.org>
Date: Sat, 17 Mar 2012 05:22:28 +0000
Closes: 661439
Changes: 
 drivel (3.0.4-1) unstable; urgency=low
 .
   * New upstream release
   * [i18n] French runtime messages translation (Closes: #661439)

> The drivel Debian package, which you are the maintainer of, has
> pending bug reports which include translation updates or fixes
> for translation handled by gettext, namely bug number 661439 (and
> maybe other similar bugs).

> The i18n team is now hunting the very last bits of missing localization

Currently, French is already at 100% in Debian for drivel. It's not
missing any localisation in the current version. 

> So, sorry for this, but the radar beeped at your package and here am I
> with an NMU intent...:-)

Denied.
:-(

There is more to this than may appear - drivel is not a native package
and these are not debconf messages.
 
> Such changes are always harmless, which explains why I safely consider
> building NMU's for such issues even though they're obviously non critical.

Not true. This change would require upstream changes (which are already
applied upstream).

http://drivel.svn.sourceforge.net/viewvc/drivel?view=revision&revision=867

> If you intent to upload yourself, please discuss with me. I propose
> handling a translation update round and I can handle it myself for you.
> That will just require a few days.
 
> In case I upload an NMU, I will subscribe to the Package Tracking System
> for this package and follow its life for 60 days after my NMU in order
> to fix any issue potentially introduced by my upload.
> 
> Let me know, as soon as possible, if you have any kind of objection to
> this process.
> 
> If you'd rather do the fix yourself, I will of course leave the package
> alone. Same if you have reasons not to do the update now.

The upstream changes require a new call for translations, at which
point the translation provided with 661439 may turn out to need changes
anyway.

This is the problem with translations provided outside of an upstream
string freeze.

-- 


Neil Williams
=============
http://www.linux.codehelp.co.uk/

[Message part 2 (application/pgp-signature, inline)]

Information stored :
Bug#661439; Package drivel. (Thu, 26 Apr 2012 16:43:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Prévot <taffit@debian.org>:
Extra info received and filed, but not forwarded. (Thu, 26 Apr 2012 16:43:06 GMT) Full text and rfc822 format available.

Message #22 received at 661439-quiet@bugs.debian.org (full text, mbox):

From: David Prévot <taffit@debian.org>
To: Neil Williams <codehelp@debian.org>
Cc: debian-i18n@lists.debian.org, 661439-quiet@bugs.debian.org
Subject: Re: Intent to NMU or help for an l10n upload of drivel to fix pending l10n bugs
Date: Thu, 26 Apr 2012 12:41:17 -0400
[Message part 1 (text/plain, inline)]
Hi Neil,

Thanks for your quick answer.

Le 26/04/2012 02:42, Neil Williams a écrit :
> On Wed, 25 Apr 2012 17:29:46 -0400
> David Prévot <taffit@debian.org> wrote:

> Source: drivel
> Version: 3.0.4-1
[…]
>    * New upstream release
>    * [i18n] French runtime messages translation (Closes: #661439)

Great, I'm happy to withdraw my intent to NMU then.

[…]
> Currently, French is already at 100% in Debian for drivel.

Actually it isn't (see P.-S. for details), that's why it came under my
radar, but if you're about to release a new upstream version with more
complete translations, that's even better, thanks!

> The upstream changes require a new call for translations, at which
> point the translation provided with 661439 may turn out to need changes
> anyway.

Don't hesitate to ask for help about this new call for translations if
needed.

Regards

David

P.-S.: Current localization status of drivel 3.0.3-1 in Debian

language        translated     fuzzy     untranslated
-----------------------------------------------------
  ar                28         191            39
  bg               252           2             4
  ca               258
  cs               258
  de               258
  dz               218          26            14
  el               251           3             4
  es               252           2             4
  fi               218          26            14
  fr               256           1             1
  it               258
  ja               249           5             4
  lt               204          31            23
  nb               121          63            74
  ne               249           5             4
  nl               187          43            28
  no               121          63            74
  oc                61          12           185
  pa               249           5             4
  pl               208          31            19
  pt               258
  pt_BR            218          27            13
  ru               258
  rw                18         165            75
  sq                51         144            63
  sr                55         107            96
  sr@Latn           55         107            96
  sv               249           8             1
  te                71           3           184
  th               135          18           105
  vi               249           5             4
  zh_CN            209          31            18
  zh_HK            210          27            21
  zh_TW            210          27            21


[signature.asc (application/pgp-signature, attachment)]

Added tag(s) pending. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Mon, 13 May 2013 22:33:04 GMT) Full text and rfc822 format available.

Reply sent to Neil Williams <codehelp@debian.org>:
You have taken responsibility. (Sun, 19 May 2013 18:51:11 GMT) Full text and rfc822 format available.

Notification sent to Julien Patriarca <patriarcaj@gmail.com>:
Bug acknowledged by developer. (Sun, 19 May 2013 18:51:11 GMT) Full text and rfc822 format available.

Message #29 received at 661439-close@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 661439-close@bugs.debian.org
Subject: Bug#661439: fixed in drivel 3.0.4-1
Date: Sun, 19 May 2013 18:47:48 +0000
Source: drivel
Source-Version: 3.0.4-1

We believe that the bug you reported is fixed in the latest version of
drivel, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 661439@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Neil Williams <codehelp@debian.org> (supplier of updated drivel package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 19 May 2013 19:30:35 +0100
Source: drivel
Binary: drivel
Architecture: source amd64
Version: 3.0.4-1
Distribution: unstable
Urgency: low
Maintainer: Neil Williams <codehelp@debian.org>
Changed-By: Neil Williams <codehelp@debian.org>
Description: 
 drivel     - Blogging client for the GNOME desktop
Closes: 661439 701627 707371
Changes: 
 drivel (3.0.4-1) unstable; urgency=low
 .
   * New upstream release
   * [i18n] French runtime messages translation (Closes: #661439)
   * Drop shlibs.local (Closes: #701627)
   * Drop -Werror from default build. (Closes: #707371)
   * Implement hardening flags in debian packaging.
   * Update SVN locations for SourceForge changes.
   * Add source format.
Checksums-Sha1: 
 5f5ded1b01bbe1995963465c0b6e89f41afdccf4 2071 drivel_3.0.4-1.dsc
 db2513272f2ab302d74b7d0139fb312c9a95ab01 892850 drivel_3.0.4.orig.tar.gz
 0e37820ac33be00eef0c0f0f3c3223944bc12ce3 12420 drivel_3.0.4-1.debian.tar.gz
 10ef2fb347a5c1f0a4b845bfd5774b985a4d685e 433636 drivel_3.0.4-1_amd64.deb
Checksums-Sha256: 
 af84700a69d507816a25a476308706e7f432972600d23b5105ad56e298462f5a 2071 drivel_3.0.4-1.dsc
 e3b513558bc2ec7b1e5bd1e9e6f95a4f6071c0b5e8bd72e751b0f3cea3547976 892850 drivel_3.0.4.orig.tar.gz
 ce9805bdaf8a94c413563650fd169076dc04a23692c2173746f9b63a9d41bb6d 12420 drivel_3.0.4-1.debian.tar.gz
 13e4a9a4da0cbfd878cd69e4bfad5fe7542881530b5d66b982a814641b237880 433636 drivel_3.0.4-1_amd64.deb
Files: 
 b87d8f061a26539b5be10209020e52ba 2071 net optional drivel_3.0.4-1.dsc
 a44f995741d7f09710ba5e3fe91092bf 892850 net optional drivel_3.0.4.orig.tar.gz
 04411b3d8551919fdabd9a518ec862e6 12420 net optional drivel_3.0.4-1.debian.tar.gz
 3496cdc10259adbc379a131ffdaea419 433636 net optional drivel_3.0.4-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRmRsFAAoJEPFn5DyBQ7aCi3YQAKFIr4GMp0/EGBpd2gWhxONE
v36NbLrdpP1R9FfQljINGHejkVlxOWo/d3ZcgUtQ45+UooWRHcPOUcni6pjCijx8
d8sBiG/UQrlymUsttkVovX4zlY/CKqMFBsfi1uw+fn34NnELhaRdnXokxZ06kpLP
MoCtWlnqtz36o1qn+Pg+rnr5LXnEbG6t5XFe7HCl35PQ3LpOZq+eFUfnR/pZ9h7d
hXttoZ529wMbVSlDtD4xKqj2r5SE5W9ZqdRmdbSO+EyAOiyHMpsRu7e7Wtn6VOno
CfEtzpSkSsHCV38ylzDvr/TWv9mIr1hmt8EbXTTGhOY4MO26Bu+HLrHPvTAcZ1Rc
a/brH73c3I5bxWIt1MwFFVxgCR1MvsL0WWcVQUrEKvuuJHCdOQLQvFfh39JG2M8Q
WcWtzP46jY1G6nz11WF6sxxqjJXpvQtaU6M6akBcbhXxxqOfwc25awhv25WCNJiT
wp81LtKv4WMHL/3cQTsPUI7X13G8EBkWtsynsUA40RXetBniUfxyDd5ZST7N22KJ
ZMxQRHBBWNT/3tJ2qF4IQs26svk8aO2toNrXbKRpR/KRw7f00uUrueO1KAYVYDr8
pVUlu4NZfI9jIh9365lhKkvAVjE2NcafYdm1lbWnW5cx7+ZlTVtO4hNrKvOhvx1L
BznE9FOypLOfMwn/5S7T
=gx8W
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 27 Jun 2013 07:30:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 21:32:16 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.